@import url('https://fonts.googleapis.com/css2?family=Alegreya+Sans+SC:ital,wght@0,100;0,300;0,400;0,500;0,700;0,800;0,900;1,100;1,300;1,400;1,500;1,700;1,800;1,900&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
:root {
    --white-color: #fff;
    --primary-color: #000000;
    --light-styling-color: #004aad; 
    --dark-styling-color: #06365b;
    --dark-gray-color: #333333;
    --card-color: #dcefff;
    --poppins-font: 'Poppins';
    --montserrat-font: 'Montserrat';
    --alegreya-font: "Alegreya Sans SC", serif;    

}

body {
    overflow-x: hidden;
}

.contact-us-container {
    width: 100%;
    height: 80vh;
    display: flex;
    display: flex;
    justify-content: space-between;
}
.contact-us {
    background-color: var(--white-color);
    padding: 30px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    text-align: center;
    max-width: 500px;
    font-family: var(--poppins-font);
    height: 32vh;
    width: auto;

}
.contact-us h1 {
    color: #333;
    font-family: var(--poppins-font);
    font-weight: 400;
}
.contact-us p {
    color: #666;
    line-height: 1.6;
}
.email {
    font-size: 18px;
    font-weight: bold;
    color: #007BFF;
    text-decoration: none;
}
.email:hover {
    text-decoration: underline;
}

.faq {
    width: 55%;
    height: 100%;
}

.faq-title {
    width: 100%;
    height: 20vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.faq-title h1 {
    font-size: 3em;
    font-family: var(--poppins-font);
}

.faq-section {
    width: 100%;
    height: 60vh;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap; 
}

.faq-section {
    display: grid;
    grid-template-columns: repeat(2, 1fr); /* Skapar två kolumner */
    grid-template-rows: repeat(3, auto); /* Skapar tre rader */
    gap: 10px; /* Lägger till mellanrum mellan korten */
    width: 100%;
    height: auto;
}

.faq-card {
    border: 1px solid black;
    padding: 10px;
    background-color: #f9f9f9;
    display: flex;
    flex-direction: column;
}

.faq-card h1 {
    font-family: var(--poppins-font);
    font-size: 1.4em;
}

.faq-header {
    display: flex;
    justify-content: space-between;
    cursor: pointer;
    align-items: center;
}

.faq-answer {
    padding: 10px;
    background-color: #f0f0f0;
    display: none; 
    border-top: 1px solid #ddd;
}

.faq-toggle {
    cursor: pointer;
    transition: transform 0.3s ease;
}

.faq-toggle.open {
    transform: rotate(180deg); /* Lägger till en rotering när öppet */
}

@media (max-width: 1280px) {
    .contact-us {
        height: 45vh;
        margin: 20px;
    }
    .contact-us-container {
        height: 100vh;
    }
}

@media screen and (max-width: 1024px) {
    .contact-us-container {
        display: flex;
        flex-direction: column;
        height: 220vh;
    }
    .contact-us a {
        font-size: 1em;
    }
    .faq {
        width: 100%;
    }
}